<?php
/**
 * This is the enum for the settings message ID.
 *
 * @package locrMAPS
 */

declare(strict_types=1);

namespace Locr\WordPress\Plugin\LocrMaps\DDD\ValueObjects;

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

enum SettingsMessageId: string {
	case IconDeleted                  = 'icon_deleted';
	case IconNotDeleted               = 'icon_not_deleted';
	case IconsDeleted                 = 'icons_deleted';
	case IconsNotDeleted              = 'icons_not_deleted';
	case IdsIsNotAnArray              = 'ids_is_not_an_array';
	case InvalidNonce                 = 'invalid_nonce';
	case NoNonce                      = 'no_nonce';
	case OnlineMapDeleted             = 'onlinemap_deleted';
	case OnlineMapLocationDeleted     = 'onlinemap_location_deleted';
	case OnlineMapLocationNotDeleted  = 'onlinemap_location_not_deleted';
	case OnlineMapLocationsDeleted    = 'onlinemap_locations_deleted';
	case OnlineMapLocationsNotDeleted = 'onlinemap_locations_not_deleted';
	case OnlineMapNotDeleted          = 'onlinemap_not_deleted';
	case OnlineMapNotFound            = 'onlinemap_not_found';
	case OnlineMapsDeleted            = 'onlinemaps_deleted';
	case OnlineMapsNotDeleted         = 'onlinemaps_not_deleted';
}
